Get Blocklist Item
curl --request GET \
--url https://api.loopreturns.com/api/v1/blocklists/{id} \
--header 'X-Authorization: <api-key>'import requests
url = "https://api.loopreturns.com/api/v1/blocklists/{id}"
headers = {"X-Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Authorization': '<api-key>'}};
fetch('https://api.loopreturns.com/api/v1/blocklists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"type": "order",
"value": "example@example.com",
"secondary_value": "example.2@example.com",
"created_at": "2023-06-09 00:00:00"
}{
"errors": "Unauthorized."
}{
"error": "Listing not found"
}Blocklist
Get Blocklist Item
Retrieve a blocklist entry.
Required API key scope
- Orders
GET
/
blocklists
/
{id}
Get Blocklist Item
Authorizations
Path Parameters
The unique identifier associated with the blocklist entry.
Response
Success
The unique identifier associated with the blocklist entry.
Example:
1
The type of value blocked by this blocklist entry. order is the order number of the blocked order, email is the blocked customer's email address, product is the variant ID of the blocked product, and product_tag disables returns for all products with that tag.
Available options:
order, email, product, product_tag The blocked value. Items purchased using this value will be ineligible for return.
Example:
"example@example.com"
An additional blocked value associated with this entry. Items purchased using this value will also be ineligible for return.
Example:
"example.2@example.com"
The date and time at which the entry was created.
Example:
"2023-06-09 00:00:00"